SHUF(1)

BEZEICHNUNG
shuf - Zufällige Permutationen erzeugen

ÜBERSICHT
shuf [OPTION]... [DATEI]
shuf -e [OPTION]... [ARG]...
shuf -i VON-BIS [OPTION]...

BESCHREIBUNG

Eine zufällige Permutation der Eingabezeilen in die Standardausgabe schreiben

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-e, --echo
    Jedes ARG als Eingabezeile behandeln

-i, --input-range=VON-BIS
    Alle Zahlen von VON bis BIS als Eingabezeilen ansehen

-n, --head-lines=ANZAHL
    Höchstens ANZAHL Zeilen zeigen

-o, --output=DATEI
    Ergebnis in DATEI statt in die Standardausgabe schreiben

--random-source=DATEI
    Zufällige Byte aus DATEI nehmen

-r, --repeat
    output lines can be repeated

-z, --zero-terminated
    Zeilen mit Nullbyte beenden, nicht mit Zeilenumbruch

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

Ohne DATEI oder wenn DATEI »-« ist, Standardeingabe lesen.

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report shuf translation bugs to <http://translationproject.org/team/>

AUTOR
Geschrieben von Paul Eggert.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für shuf wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und shuf auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'shuf invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.